Skip to main content
GET
/
api
/
2.0
/
bills
/
{id}
Retrieve Bill
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/bills/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "billing_date": "2023-11-07T05:31:56Z",
  "billing_error": "<string>",
  "billing_raw_error": "<string>",
  "billing_provider": 123,
  "cpts": [
    {
      "alt_dxs": [
        "<string>"
      ],
      "cpt": "<string>",
      "dxs": [
        "<string>"
      ],
      "modifiers": [
        "<string>"
      ],
      "ndc": "<string>",
      "ndc_dose": "<string>",
      "ndc_measure": "<string>",
      "unit_charge": "<string>",
      "units": "<string>"
    }
  ],
  "created_date": "2023-11-07T05:31:56Z",
  "deferred_bill": true,
  "id": 123,
  "last_modified_date": "2023-11-07T05:31:56Z",
  "metadata": {
    "data": {},
    "object_id": "<string>",
    "object_web_link": "<string>"
  },
  "notes": "<string>",
  "ordering_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "patient": 123,
  "payment": {
    "amount": "<string>",
    "when_collected": "2023-11-07T05:31:56Z",
    "appointment": 123,
    "bill": 123,
    "create_date": "2023-11-07T05:31:56Z",
    "delete_date": "2023-11-07T05:31:56Z",
    "id": 123
  },
  "physician": 123,
  "practice": 123,
  "prior_authorization": "<string>",
  "ref_number": "<string>",
  "referring_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "rendering_provider": 123,
  "service_date": "2023-11-07T05:31:56Z",
  "service_date_timezone": "<string>",
  "service_location": {
    "address_line1": "<string>",
    "name": "<string>",
    "practice": 123,
    "state": "<string>",
    "address_line2": "<string>",
    "city": "",
    "created_date": "2023-11-07T05:31:56Z",
    "deleted_date": "2023-11-07T05:31:56Z",
    "email": "jsmith@example.com",
    "fax": "<string>",
    "id": 123,
    "is_primary": false,
    "phone": "<string>",
    "place_of_service_code": 123,
    "status": "active",
    "zip": ""
  },
  "supervising_provider": 123,
  "visit_note_deleted_date": "2023-11-07T05:31:56Z",
  "visit_note_id": 123,
  "visit_note_signed_date": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Response

200 - application/json
billing_date
string<date-time>
required

The date the bill was billed.

billing_error
string
required
Maximum string length: 200
billing_raw_error
string
required
billing_provider
integer<int64>
read-only
billing_status
enum<string>
Available options:
Unbilled,
Billed,
UnresolvedError,
ResolvedError
cpts
object[]
read-only

CPT objects for the bill.

created_date
string<date-time> | null
read-only
deferred_bill
boolean
id
integer
read-only
last_modified_date
string<date-time>
read-only
metadata
object
notes
string | null

Additional billing notes.

ordering_provider
object
patient
integer<int64>
read-only
payment
object

Patient payment for the bill.

physician
integer<int64>
read-only
practice
integer<int64>
read-only
prior_authorization
string | null
Maximum string length: 50
ref_number
string | null
Maximum string length: 50
referring_provider
object
rendering_provider
integer<int64>
read-only
service_date
string<date-time>
read-only
service_date_timezone
string
read-only

The timezone for the service_date. Use this to convert service_date from UTC to local time. Returns the service location's timezone if available, otherwise falls back to the practice's default timezone.

service_location
object
supervising_provider
integer<int64>
read-only
visit_note_deleted_date
string<date-time> | null
read-only
visit_note_id
integer
read-only
visit_note_signed_date
string<date-time>
read-only